curl -X POST "https://api-integration.ollang.com/integration/orders/60b8d6f1e1b9b1d8c6c0d8e1/subtitle-embedding" \
-H "X-Api-Key: <your-api-key>"
const orderId = "60b8d6f1e1b9b1d8c6c0d8e1";
const response = await fetch(
`https://api-integration.ollang.com/integration/orders/${orderId}/subtitle-embedding`,
{
method: "POST",
headers: {
"X-Api-Key": "<your-api-key>",
},
},
);
const result = await response.json();
console.log(result);
import requests
order_id = "60b8d6f1e1b9b1d8c6c0d8e1"
headers = {
'X-Api-Key': '<your-api-key>'
}
response = requests.post(
f'https://api-integration.ollang.com/integration/orders/{order_id}/subtitle-embedding',
headers=headers
)
print(response.json())
$orderId = '60b8d6f1e1b9b1d8c6c0d8e1';
$curl = curl_init();
curl_setopt_array($curl, array(
CURLOPT_URL => 'https://api-integration.ollang.com/integration/orders/' . $orderId . '/subtitle-embedding',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_POST => true,
CURLOPT_HTTPHEADER => array(
'X-Api-Key: <your-api-key>'
),
));
$response = curl_exec($curl);
curl_close($curl);
$result = json_decode($response, true);
print_r($result);
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
orderId := "60b8d6f1e1b9b1d8c6c0d8e1"
url := fmt.Sprintf("https://api-integration.ollang.com/integration/orders/%s/subtitle-embedding", orderId)
req, _ := http.NewRequest("POST", url, nil)
req.Header.Set("X-Api-Key", "<your-api-key>")
client := &http.Client{}
resp, _ := client.Do(req)
defer resp.Body.Close()
body, _ := io.ReadAll(resp.Body)
fmt.Println(string(body))
}
String orderId = "60b8d6f1e1b9b1d8c6c0d8e1";
HttpResponse<String> response = Unirest.post("https://api-integration.ollang.com/integration/orders/" + orderId + "/subtitle-embedding")
.header("X-Api-Key", "<your-api-key>")
.asString();
System.out.println(response.getBody());
{
"success": true,
"message": "Subtitle embedding initiated successfully",
"orderId": "60b8d6f1e1b9b1d8c6c0d8e1"
}
{
"error": "Order not eligible for subtitle embedding",
"message": "Only completed video orders with subtitle files can have subtitles embedded",
"code": "ORDER_NOT_ELIGIBLE"
}
{
"error": "Order not found",
"message": "No order found with the provided orderId",
"code": "ORDER_NOT_FOUND"
}
{
"error": "Feature not available",
"message": "Subtitle embedding is not available in your current plan",
"code": "FEATURE_NOT_AVAILABLE"
}
{
"error": "Unauthorized",
"message": "Invalid or missing API key",
"code": "UNAUTHORIZED"
}
Ollang API Reference
Request Subtitle Embedding
Request subtitle embedding for an order to burn subtitles directly into the video file
POST
/
integration
/
orders
/
{orderId}
/
subtitle-embedding
curl -X POST "https://api-integration.ollang.com/integration/orders/60b8d6f1e1b9b1d8c6c0d8e1/subtitle-embedding" \
-H "X-Api-Key: <your-api-key>"
const orderId = "60b8d6f1e1b9b1d8c6c0d8e1";
const response = await fetch(
`https://api-integration.ollang.com/integration/orders/${orderId}/subtitle-embedding`,
{
method: "POST",
headers: {
"X-Api-Key": "<your-api-key>",
},
},
);
const result = await response.json();
console.log(result);
import requests
order_id = "60b8d6f1e1b9b1d8c6c0d8e1"
headers = {
'X-Api-Key': '<your-api-key>'
}
response = requests.post(
f'https://api-integration.ollang.com/integration/orders/{order_id}/subtitle-embedding',
headers=headers
)
print(response.json())
$orderId = '60b8d6f1e1b9b1d8c6c0d8e1';
$curl = curl_init();
curl_setopt_array($curl, array(
CURLOPT_URL => 'https://api-integration.ollang.com/integration/orders/' . $orderId . '/subtitle-embedding',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_POST => true,
CURLOPT_HTTPHEADER => array(
'X-Api-Key: <your-api-key>'
),
));
$response = curl_exec($curl);
curl_close($curl);
$result = json_decode($response, true);
print_r($result);
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
orderId := "60b8d6f1e1b9b1d8c6c0d8e1"
url := fmt.Sprintf("https://api-integration.ollang.com/integration/orders/%s/subtitle-embedding", orderId)
req, _ := http.NewRequest("POST", url, nil)
req.Header.Set("X-Api-Key", "<your-api-key>")
client := &http.Client{}
resp, _ := client.Do(req)
defer resp.Body.Close()
body, _ := io.ReadAll(resp.Body)
fmt.Println(string(body))
}
String orderId = "60b8d6f1e1b9b1d8c6c0d8e1";
HttpResponse<String> response = Unirest.post("https://api-integration.ollang.com/integration/orders/" + orderId + "/subtitle-embedding")
.header("X-Api-Key", "<your-api-key>")
.asString();
System.out.println(response.getBody());
{
"success": true,
"message": "Subtitle embedding initiated successfully",
"orderId": "60b8d6f1e1b9b1d8c6c0d8e1"
}
{
"error": "Order not eligible for subtitle embedding",
"message": "Only completed video orders with subtitle files can have subtitles embedded",
"code": "ORDER_NOT_ELIGIBLE"
}
{
"error": "Order not found",
"message": "No order found with the provided orderId",
"code": "ORDER_NOT_FOUND"
}
{
"error": "Feature not available",
"message": "Subtitle embedding is not available in your current plan",
"code": "FEATURE_NOT_AVAILABLE"
}
{
"error": "Unauthorized",
"message": "Invalid or missing API key",
"code": "UNAUTHORIZED"
}
Request subtitle embedding for an existing order. This endpoint triggers the process of burning (hardcoding) the translated subtitles directly into the video file. The resulting video will have the subtitles permanently embedded as part of the video stream.
curl -X POST "https://api-integration.ollang.com/integration/orders/60b8d6f1e1b9b1d8c6c0d8e1/subtitle-embedding" \
-H "X-Api-Key: <your-api-key>"
const orderId = "60b8d6f1e1b9b1d8c6c0d8e1";
const response = await fetch(
`https://api-integration.ollang.com/integration/orders/${orderId}/subtitle-embedding`,
{
method: "POST",
headers: {
"X-Api-Key": "<your-api-key>",
},
},
);
const result = await response.json();
console.log(result);
import requests
order_id = "60b8d6f1e1b9b1d8c6c0d8e1"
headers = {
'X-Api-Key': '<your-api-key>'
}
response = requests.post(
f'https://api-integration.ollang.com/integration/orders/{order_id}/subtitle-embedding',
headers=headers
)
print(response.json())
$orderId = '60b8d6f1e1b9b1d8c6c0d8e1';
$curl = curl_init();
curl_setopt_array($curl, array(
CURLOPT_URL => 'https://api-integration.ollang.com/integration/orders/' . $orderId . '/subtitle-embedding',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_POST => true,
CURLOPT_HTTPHEADER => array(
'X-Api-Key: <your-api-key>'
),
));
$response = curl_exec($curl);
curl_close($curl);
$result = json_decode($response, true);
print_r($result);
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
orderId := "60b8d6f1e1b9b1d8c6c0d8e1"
url := fmt.Sprintf("https://api-integration.ollang.com/integration/orders/%s/subtitle-embedding", orderId)
req, _ := http.NewRequest("POST", url, nil)
req.Header.Set("X-Api-Key", "<your-api-key>")
client := &http.Client{}
resp, _ := client.Do(req)
defer resp.Body.Close()
body, _ := io.ReadAll(resp.Body)
fmt.Println(string(body))
}
String orderId = "60b8d6f1e1b9b1d8c6c0d8e1";
HttpResponse<String> response = Unirest.post("https://api-integration.ollang.com/integration/orders/" + orderId + "/subtitle-embedding")
.header("X-Api-Key", "<your-api-key>")
.asString();
System.out.println(response.getBody());
Authorizations
This endpoint requires API key authentication. Include your API key in the request header:- Header name:
X-Api-Key - Header value: Your API key from the Ollang dashboard
- Format:
X-Api-Key: your-api-key-here
Path Parameters
string
required
The unique identifier of the order for which you want to embed subtitles. The
order must be in a completed or delivered state with available subtitle files.
Response
boolean
required
Indicates whether the subtitle embedding request was initiated successfully.
string
required
A message describing the result of the subtitle embedding request.
string
The ID of the order for which subtitle embedding was requested.
{
"success": true,
"message": "Subtitle embedding initiated successfully",
"orderId": "60b8d6f1e1b9b1d8c6c0d8e1"
}
{
"error": "Order not eligible for subtitle embedding",
"message": "Only completed video orders with subtitle files can have subtitles embedded",
"code": "ORDER_NOT_ELIGIBLE"
}
{
"error": "Order not found",
"message": "No order found with the provided orderId",
"code": "ORDER_NOT_FOUND"
}
{
"error": "Feature not available",
"message": "Subtitle embedding is not available in your current plan",
"code": "FEATURE_NOT_AVAILABLE"
}
{
"error": "Unauthorized",
"message": "Invalid or missing API key",
"code": "UNAUTHORIZED"
}
Was this page helpful?
⌘I